<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4105
Name: FAST Befunde
Description: Findings from Focused assessment with ultrasonography for trauma (procedure)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4105-2017-02-21T000000">
   <title>FAST Befunde</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4105
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]
Item: (FASTfindings)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]"
         id="d127e4406-false-d109102e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']])&gt;=1">(FASTfindings): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']])&lt;=1">(FASTfindings): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4105
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]
Item: (FASTfindings)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]"
         id="d127e4501-false-d109126e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="string(@classCode)=('OBS')">(FASTfindings): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="string(@moodCode)=('EVN')">(FASTfindings): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4105'])&gt;=1">(FASTfindings): Element hl7:templateId[@root='1.2.276.0.76.10.4105'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4105'])&lt;=1">(FASTfindings): Element hl7:templateId[@root='1.2.276.0.76.10.4105'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="count(hl7:id)&gt;=1">(FASTfindings): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="count(hl7:id)&lt;=1">(FASTfindings): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="count(hl7:code[(@code='X-FAST' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(FASTfindings): Element hl7:code[(@code='X-FAST' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="count(hl7:code[(@code='X-FAST' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(FASTfindings): Element hl7:code[(@code='X-FAST' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="count(hl7:text)&lt;=1">(FASTfindings): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(FASTfindings): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(FASTfindings): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(FASTfindings): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount" value="count(hl7:value[@nullFlavor]|hl7:value[@code])"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="$elmcount&lt;=1">(FASTfindings): Auswahl (hl7:value[@nullFlavor] oder hl7:value[@code]) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="count(hl7:value[@nullFlavor])&lt;=1">(FASTfindings): Element hl7:value[@nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="count(hl7:value[@code])&lt;=1">(FASTfindings): Element hl7:value[@code] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]])&lt;=1">(FASTfindings): Element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4105
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:templateId[@root='1.2.276.0.76.10.4105']
Item: (FASTfindings)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:templateId[@root='1.2.276.0.76.10.4105']"
         id="d127e4507-false-d109275e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FASTfindings): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4105')">(FASTfindings): Der Wert von @root MUSS '1.2.276.0.76.10.4105' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4105
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:id
Item: (FASTfindings)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:id"
         id="d127e4512-false-d109293e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FASTfindings): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4105
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:code[(@code='X-FAST' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (FASTfindings)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:code[(@code='X-FAST' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e4514-false-d109307e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FASTfindings): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="@nullFlavor or (@code='X-FAST' and @codeSystem='2.16.840.1.113883.6.1')">(FASTfindings): Der Elementinhalt MUSS einer von 'code 'X-FAST' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4105
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:text
Item: (FASTfindings)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:text"
         id="d127e4520-false-d109327e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FASTfindings): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="count(hl7:reference)&gt;=1">(FASTfindings): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="count(hl7:reference)&lt;=1">(FASTfindings): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4105
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:text/hl7:reference
Item: (FASTfindings)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:text/hl7:reference"
         id="d127e4525-false-d109353e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FASTfindings): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="URL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4105
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (FASTfindings)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e4528-false-d109367e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FASTfindings): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="@nullFlavor or (@code='completed')">(FASTfindings): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4105
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:effectiveTime
Item: (FASTfindings)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:effectiveTime"
         id="d127e4533-false-d109387e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FASTfindings): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="not(*)">(FASTfindings): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4105
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:value[@nullFlavor]
Item: (FASTfindings)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:value[@nullFlavor]"
         id="d127e4541-false-d109401e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FASTfindings): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="string(@nullFlavor)=('OTH')">(FASTfindings): Der Wert von @nullFlavor MUSS 'OTH' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="count(hl7:originalText)&lt;=1">(FASTfindings): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4105
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:value[@nullFlavor]/hl7:originalText
Item: (FASTfindings)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:value[@nullFlavor]/hl7:originalText"
         id="d127e4548-false-d109428e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FASTfindings): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="count(hl7:reference)&gt;=1">(FASTfindings): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="count(hl7:reference)&lt;=1">(FASTfindings): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4105
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:value[@nullFlavor]/hl7:originalText/hl7:reference
Item: (FASTfindings)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:value[@nullFlavor]/hl7:originalText/hl7:reference"
         id="d127e4553-false-d109454e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FASTfindings): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="URL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4105
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:value[@code]
Item: (FASTfindings)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:value[@code]"
         id="d127e4557-false-d109465e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FASTfindings): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.51-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(FASTfindings): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.51 Finding situation (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-1.2.276.0.76.11.51-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(FASTfindings): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 1.2.276.0.76.11.51 Finding situation (DYNAMIC).</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="count(hl7:originalText)&lt;=1">(FASTfindings): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4105
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:value[@code]/hl7:originalText
Item: (FASTfindings)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:value[@code]/hl7:originalText"
         id="d127e4564-false-d109502e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FASTfindings): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="count(hl7:reference)&gt;=1">(FASTfindings): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="count(hl7:reference)&lt;=1">(FASTfindings): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4105
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:value[@code]/hl7:originalText/hl7:reference
Item: (FASTfindings)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:value[@code]/hl7:originalText/hl7:reference"
         id="d127e4569-false-d109528e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FASTfindings): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="URL"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4105
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]]
Item: (FASTfindings)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4105']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4134']]]">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="string(@typeCode)=('COMP')">(FASTfindings): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(FASTfindings): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(FASTfindings): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4105-2017-02-21T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(FASTfindings): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
