<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4133
Name: Hospital Care Episode Encounter
Description: Hospital Care Episode Encounter
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4133-2017-02-01T000000">
   <title>Hospital Care Episode Encounter</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4133
Context: *[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]
Item: (HospitalCareEpisodeEncounter)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4133
Context: *[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]
Item: (HospitalCareEpisodeEncounter)
-->

   <rule context="*[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]"
         id="d127e7087-false-d121826e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4133-2017-02-01T000000.html"
              test="string(@classCode)=('ENC')">(HospitalCareEpisodeEncounter): Der Wert von @classCode MUSS 'ENC' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4133-2017-02-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(HospitalCareEpisodeEncounter): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4133-2017-02-01T000000.html"
              test="string(@moodCode)=('EVN')">(HospitalCareEpisodeEncounter): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4133-2017-02-01T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(HospitalCareEpisodeEncounter): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4133-2017-02-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4133'])&gt;=1">(HospitalCareEpisodeEncounter): Element hl7:templateId[@root='1.2.276.0.76.10.4133'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4133-2017-02-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4133'])&lt;=1">(HospitalCareEpisodeEncounter): Element hl7:templateId[@root='1.2.276.0.76.10.4133'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4133-2017-02-01T000000.html"
              test="count(hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)])&gt;=1">(HospitalCareEpisodeEncounter): Element hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4133-2017-02-01T000000.html"
              test="count(hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)])&lt;=1">(HospitalCareEpisodeEncounter): Element hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4133-2017-02-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(HospitalCareEpisodeEncounter): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4133-2017-02-01T000000.html"
              test="count(hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]])&lt;=1">(HospitalCareEpisodeEncounter): Element hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4133
Context: *[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:templateId[@root='1.2.276.0.76.10.4133']
Item: (HospitalCareEpisodeEncounter)
-->

   <rule context="*[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:templateId[@root='1.2.276.0.76.10.4133']"
         id="d127e7093-false-d122108e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4133-2017-02-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4133')">(HospitalCareEpisodeEncounter): Der Wert von @root MUSS '1.2.276.0.76.10.4133' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4133-2017-02-01T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(HospitalCareEpisodeEncounter): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4133
Context: *[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]
Item: (HospitalCareEpisodeEncounter)
-->

   <rule context="*[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:code[(@code='IMP' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]"
         id="d127e7098-false-d122125e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4133-2017-02-01T000000.html"
              test="@nullFlavor or (@code='IMP' and @codeSystem='2.16.840.1.113883.5.4')">(HospitalCareEpisodeEncounter): Der Elementinhalt MUSS einer von 'code 'IMP' codeSystem '2.16.840.1.113883.5.4'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4133
Context: *[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:effectiveTime
Item: (HospitalCareEpisodeEncounter)
-->

   <rule context="*[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:effectiveTime"
         id="d127e7103-false-d122142e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4133-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HospitalCareEpisodeEncounter): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4133-2017-02-01T000000.html"
              test="count(hl7:low)&gt;=1">(HospitalCareEpisodeEncounter): Element hl7:low ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4133-2017-02-01T000000.html"
              test="count(hl7:low)&lt;=1">(HospitalCareEpisodeEncounter): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4133-2017-02-01T000000.html"
              test="count(hl7:high)&lt;=1">(HospitalCareEpisodeEncounter): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4133
Context: *[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:effectiveTime/hl7:low
Item: (HospitalCareEpisodeEncounter)
-->

   <rule context="*[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:effectiveTime/hl7:low"
         id="d127e7108-false-d122177e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4133-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HospitalCareEpisodeEncounter): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4133-2017-02-01T000000.html"
              test="not(*)">(HospitalCareEpisodeEncounter): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4133
Context: *[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:effectiveTime/hl7:high
Item: (HospitalCareEpisodeEncounter)
-->

   <rule context="*[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:effectiveTime/hl7:high"
         id="d127e7110-false-d122194e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4133-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HospitalCareEpisodeEncounter): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4133-2017-02-01T000000.html"
              test="not(*)">(HospitalCareEpisodeEncounter): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4133
Context: *[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]]
Item: (HospitalCareEpisodeEncounter)
-->
   <rule context="*[hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]]/hl7:encounter[hl7:templateId[@root='1.2.276.0.76.10.4133']]/hl7:entryRelationship[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4136']]]">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4133-2017-02-01T000000.html"
              test="string(@typeCode)=('COMP')">(HospitalCareEpisodeEncounter): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4133-2017-02-01T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(HospitalCareEpisodeEncounter): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4133-2017-02-01T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(HospitalCareEpisodeEncounter): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4133-2017-02-01T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(HospitalCareEpisodeEncounter): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
